Ré-organisatrion stage3 et stage5 comme les stages 0 à 2
[hvlinux.git] / stage5 / bootscripts / pulseaudio
diff --git a/stage5/bootscripts/pulseaudio b/stage5/bootscripts/pulseaudio
new file mode 100755 (executable)
index 0000000..273b6a5
--- /dev/null
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# fcron
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+log_script_name "$0 $*"
+
+
+PULSE_SERVER="tcp:via:16002"
+ESPEAKER="via:16001"
+
+# See how we were called.
+case "$1" in
+    start)
+        cmd_run_log_box_warn "PulseAudio sound server start" loadproc pulseaudio
+        ;;
+    
+    stop)
+       cmd_run_log_box_warn "PulseAudio sound server stop" killproc pulseaudio
+        ;;
+    
+    restart)
+        $0 stop
+        sleep 1
+        $0 start
+        ;;
+    
+    status)
+        statusproc pulseaudio
+        ;;
+    
+    *)
+        echo "Usage: $0 {start|stop|restart|status}"
+        exit ${EXIT_CODE_FAILURE}
+        ;;
+esac
+
+exit $?